/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:13pm
Filepath: scripts\Items\artifacts\Artifacts of Assimilation\lessers\ShieldOfFortune.cs
Lines of code: 37

Description: 

***********************************************************/


//////////////////////
//Created By Nos//////
//////////////////////
using System;
using Server;

namespace Server.Items
{
	public class ShieldOfFortune : WoodenShield
	{
	 	public override int InitMinHits{ get{ return 255; } }
	 	public override int InitMaxHits{ get{ return 255; } }
		
		public override int BasePhysicalResistance{ get{ return 0; } }
		public override int BaseFireResistance{ get{ return 0; } }
		public override int BaseColdResistance{ get{ return 0; } }
		public override int BasePoisonResistance{ get{ return 0; } }
		public override int BaseEnergyResistance{ get{ return 0; } }
		

	 	[Constructable]
	 	public ShieldOfFortune()
	 	{
	 	 	Name = "Shield of Fortune";
	 	 	Hue = 1281;
	 	 	Attributes.SpellChanneling = 1;
			Attributes.RegenHits = 2;
			Attributes.Luck = 150;	 	 
	 	}

	 	public ShieldOfFortune(Serial serial) : base( serial )
	 	{
	 	}

	 	public override void Serialize( GenericWriter writer )
	 	{
	 	 	base.Serialize( writer );

	 	 	writer.Write( (int) 0 );
	 	}
	 	public override void Deserialize(GenericReader reader)
	 	{
	 	 	base.Deserialize( reader );

	 	 	int version = reader.ReadInt();
	 	}	
	}
}
